#
# spec file for package xtermset
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xtermset
Version:        0.5.2
Release:        283.20
Summary:        A program to change the settings of an xterm
License:        GPL-2.0-or-later AND MIT
Group:          System/X11/Terminals
URL:            http://sourceforge.net/projects/clts/
Source:         http://downloads.sourceforge.net/project/clts/xtermset/%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}.dif
Patch1:         %{name}-%{version}-strcat.patch
Patch2:         %{name}-%{version}-dash.patch
Patch3:         xtermset-automake-1.13.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
Xtermset allows you to change the characteristics of an xterm window
from the command line. Most options have the same names as those that
you would give an xterm at startup.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3 -p1

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README THANKS
%{_bindir}/xtermset
%{_mandir}/man?/*
%{_datadir}/xtermset/

%changelog
* Tue Jan 15 2019 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
* Tue Aug 11 2015 mpluskal@suse.com
- Use %%configure macro
- Update dependencies
- Cleanup spec file with spec-cleaner
* Fri Apr  5 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Mar 13 2013 pgajdos@suse.cz
- builds with automake 1.13
  * automake-1.13.patch
* Sat Jan 12 2013 coolo@suse.com
- remove suse_update_config
* Thu Dec  1 2011 cfarrell@suse.com
- license update: GPL-2.0+ ; MIT
  SPDX format
* Wed Nov 30 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Wed Aug 30 2006 anosek@suse.cz
- changed prefix /usr/X11R6 -> /usr
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov  8 2005 dmueller@suse.de
- don't build as root
* Fri Jul 25 2003 postadal@suse.cz
- update to version 0.5.2
  * tiny bugs fixed
* Thu Mar 14 2002 pmladek@suse.cz
- fixed usage of strcat() to do not write outside of static strigs
- removed improper test on dash because some values in options
  can begin with dash, for example font name
- /usr/X11R6/share/xtermset is owned by this package now
* Fri Sep  7 2001 ro@suse.de
- added "-a" to automake
* Tue Mar 13 2001 cihlar@suse.cz
- update to version 0.5.1
* Tue Feb 13 2001 cihlar@suse.cz
- fixed limits of switches and fn
* Wed Nov 22 2000 cihlar@suse.cz
- update to version 0.5
- added suse_update_config
* Thu Apr 27 2000 cihlar@suse.cz
- added BuildRoot
* Thu Oct 21 1999 kukuk@suse.de
- Update to version 0.4
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Apr 27 1999 kukuk@suse.de
- Spec file created from xtermset-0.3.tar.gz by autospec
